> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.dropboxapi.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.dropboxapi.com/_mcp/server.

# Members Suspend Batch Job Status Check

POST https://api.dropboxapi.com/2/team/members/suspend_batch/job_status/check
Content-Type: application/json

Poll a previously launched member suspension batch job.

**Required scope:** `members.write`

**Endpoint format:** [RPC](https://docs.dropboxapi.com/dropbox-api/docs/technical-reference/request-response-formats#rpc-endpoints)

**Authentication:** [Team](https://docs.dropboxapi.com/dropbox-api/docs/auth-types#team-authentication)

Reference: https://docs.dropboxapi.com/dropbox-api/api-reference/business-endpoints/team/members-suspend-batch-job-status-check

## Authentication

- `Authorization` header (bearer token, required) — Team-level OAuth 2.0 token issued to a Dropbox Business admin. Use `Authorization: Bearer <token>`. Obtain via the authorization code flow with team-scoped permissions. Grants access to team-wide administrative operations. You can generate a short-lived access token from the App Console; see [Testing with a generated token](https://docs.dropboxapi.com/dropbox-api/docs/oauth#testing-with-a-generated-token).

## Request

### Body (application/json)

This endpoint expects an async_common.PollArg.

- `async_job_id` (string, required) — Id of the asynchronous job. This is the value of a response returned from the method that launched the job.

## Response

### 200

Successful response

- `members_page.MembersSuspendBatchJobStatus`

## Errors

### 401 Unauthorized Error

Bad or expired token

- `error` (auth_apiv2.AuthError, required) — Errors occurred during authentication.
- `error_summary` (string, required) — A human-readable summary of the error.

### 403 Forbidden Error

The user or team account doesn't have access to the endpoint or feature

- `error` (auth_apiv2.AccessError, required) — Error occurred because the account doesn't have permission to access the resource.
- `error_summary` (string, required) — A human-readable summary of the error.

### 409 Conflict Error

Endpoint-specific error

- `error` (async_common.PollError, required) — Error returned by methods for polling the status of asynchronous job.
- `error_summary` (string, required) — A human-readable summary of the error.
- `user_message` (2TeamMembersSuspendBatchJobStatusCheckPostResponsesContentApplicationJsonSchemaUserMessage, optional)

### 429 Too Many Requests Error

The app is making too many requests for the given user or team and is being rate limited. The app should wait for the number of seconds specified in the "Retry-After" response header before trying again.

- `error` (auth_apiv2.RateLimitError, required) — Error occurred because the app is being rate limited.
- `error_summary` (string, required) — A human-readable summary of the error.

### 500 Internal Server Error

Internal server error. An error occurred on the Dropbox servers. Check https://status.dropbox.com/ for announcements about Dropbox service issues.

- `any`

## Types

### members_page.MembersSuspendBatchJobStatus.in_progress

The asynchronous job is still in progress.

- `.tag` (enum, required)
  - Allowed values: `in_progress`

### members_page.MembersSuspendBatchJobStatus.complete

- `.tag` (enum, required)
  - Allowed values: `complete`
- `failed` (long, required)
- `report_delivery` (members_page.MembersSuspendBatchReportDeliveryStatus, required)
- `requested` (long, required)
- `suspended` (long, required)
- `unknown` (long, required)

### members_page.MembersSuspendBatchJobStatus.failed

- `.tag` (enum, required)
  - Allowed values: `failed`
- `failed` (members_page.MembersSuspendBatchTaskFailure, required)

### members_page.MembersSuspendBatchJobStatus.other

An open-union catch-all: a variant added to this union after your API client's spec was generated. Its ".tag" is a value not listed among the known variants above; treat it as an unrecognized/forward-compatible case.

- `.tag` (string, optional)

### auth_apiv2.AuthError

Errors occurred during authentication.

### auth_apiv2.AccessError

Error occurred because the account doesn't have permission to access the resource.

### async_common.PollError

Error returned by methods for polling the status of asynchronous job.

### 2TeamMembersSuspendBatchJobStatusCheckPostResponsesContentApplicationJsonSchemaUserMessage

- `locale` (string, optional)
- `text` (string, optional)

### auth_apiv2.RateLimitError

Error occurred because the app is being rate limited.

- `reason` (auth_apiv2.RateLimitReason, required) — The reason why the app is being rate limited.
- `retry_after` (uint64, optional, default: 1) — The number of seconds that the app should wait before making another request.

### members_page.MembersSuspendBatchReportDeliveryStatus

- `.tag` (enum, required)
  - Allowed values: `unspecified`, `pending`, `delivered`, `failed`, `other`

### members_page.MembersSuspendBatchTaskFailure

### auth_apiv2.AuthError.invalid_access_token

The access token is invalid. This can happen if the access token has been revoked by Dropbox or the user. To fix this, you should re-authenticate the user. Note: Access tokens that are not returned exactly as provisioned will return this error. Be sure not to truncate or otherwise malform access tokens provided by Dropbox.

- `.tag` (enum, required)
  - Allowed values: `invalid_access_token`

### auth_apiv2.AuthError.invalid_select_user

The user specified in 'Dropbox-API-Select-User' is no longer on the team.

- `.tag` (enum, required)
  - Allowed values: `invalid_select_user`

### auth_apiv2.AuthError.invalid_select_admin

The user specified in 'Dropbox-API-Select-Admin' is not a Dropbox Business team admin.

- `.tag` (enum, required)
  - Allowed values: `invalid_select_admin`

### auth_apiv2.AuthError.user_suspended

The user has been suspended.

- `.tag` (enum, required)
  - Allowed values: `user_suspended`

### auth_apiv2.AuthError.expired_access_token

The access token has expired.

- `.tag` (enum, required)
  - Allowed values: `expired_access_token`

### auth_apiv2.AuthError.missing_scope

The access token does not have the required scope to access the route.

- `.tag` (enum, required)
  - Allowed values: `missing_scope`
- `required_scope` (string, required) — The required scope to access the route.

### auth_apiv2.AuthError.route_access_denied

The route is not available to public.

- `.tag` (enum, required)
  - Allowed values: `route_access_denied`

### auth_apiv2.AuthError.other

An open-union catch-all: a variant added to this union after your API client's spec was generated. Its ".tag" is a value not listed among the known variants above; treat it as an unrecognized/forward-compatible case.

- `.tag` (string, optional)

### auth_apiv2.AccessError.invalid_account_type

Current account type cannot access the resource.

- `.tag` (enum, required)
  - Allowed values: `invalid_account_type`
- `invalid_account_type` (auth_apiv2.InvalidAccountTypeError, required)

### auth_apiv2.AccessError.paper_access_denied

Current account cannot access Paper.

- `.tag` (enum, required)
  - Allowed values: `paper_access_denied`
- `paper_access_denied` (auth_apiv2.PaperAccessError, required)

### auth_apiv2.AccessError.team_access_denied

Team doesn't have permission to access.

- `.tag` (enum, required)
  - Allowed values: `team_access_denied`

### auth_apiv2.AccessError.no_permission

Caller does not have permission to access the resource.

- `.tag` (enum, required)
  - Allowed values: `no_permission`
- `no_permission` (auth_apiv2.NoPermissionError, required)

### auth_apiv2.AccessError.other

An open-union catch-all: a variant added to this union after your API client's spec was generated. Its ".tag" is a value not listed among the known variants above; treat it as an unrecognized/forward-compatible case.

- `.tag` (string, optional)

### async_common.PollError.invalid_async_job_id

The job ID is invalid.

- `.tag` (enum, required)
  - Allowed values: `invalid_async_job_id`

### async_common.PollError.internal_error

Something went wrong with the job on Dropbox's end. You'll need to verify that the action you were taking succeeded, and if not, try again. This should happen very rarely.

- `.tag` (enum, required)
  - Allowed values: `internal_error`

### async_common.PollError.other

An open-union catch-all: a variant added to this union after your API client's spec was generated. Its ".tag" is a value not listed among the known variants above; treat it as an unrecognized/forward-compatible case.

- `.tag` (string, optional)

### auth_apiv2.RateLimitReason

### members_page.MembersSuspendBatchTaskFailure.unusable_result

- `.tag` (enum, required)
  - Allowed values: `unusable_result`

### members_page.MembersSuspendBatchTaskFailure.other

An open-union catch-all: a variant added to this union after your API client's spec was generated. Its ".tag" is a value not listed among the known variants above; treat it as an unrecognized/forward-compatible case.

- `.tag` (string, optional)

### auth_apiv2.InvalidAccountTypeError

### auth_apiv2.PaperAccessError

### auth_apiv2.NoPermissionError

### auth_apiv2.RateLimitReason.too_many_requests

You are making too many requests in the past few minutes.

- `.tag` (enum, required)
  - Allowed values: `too_many_requests`

### auth_apiv2.RateLimitReason.too_many_write_operations

There are currently too many write operations happening in the user's Dropbox.

- `.tag` (enum, required)
  - Allowed values: `too_many_write_operations`

### auth_apiv2.RateLimitReason.other

An open-union catch-all: a variant added to this union after your API client's spec was generated. Its ".tag" is a value not listed among the known variants above; treat it as an unrecognized/forward-compatible case.

- `.tag` (string, optional)

### auth_apiv2.InvalidAccountTypeError.endpoint

Current account type doesn't have permission to access this endpoint.

- `.tag` (enum, required)
  - Allowed values: `endpoint`

### auth_apiv2.InvalidAccountTypeError.feature

Current account type doesn't have permission to access this feature.

- `.tag` (enum, required)
  - Allowed values: `feature`

### auth_apiv2.InvalidAccountTypeError.other

An open-union catch-all: a variant added to this union after your API client's spec was generated. Its ".tag" is a value not listed among the known variants above; treat it as an unrecognized/forward-compatible case.

- `.tag` (string, optional)

### auth_apiv2.PaperAccessError.paper_disabled

Paper is disabled.

- `.tag` (enum, required)
  - Allowed values: `paper_disabled`

### auth_apiv2.PaperAccessError.not_paper_user

The provided user has not used Paper yet.

- `.tag` (enum, required)
  - Allowed values: `not_paper_user`

### auth_apiv2.PaperAccessError.other

An open-union catch-all: a variant added to this union after your API client's spec was generated. Its ".tag" is a value not listed among the known variants above; treat it as an unrecognized/forward-compatible case.

- `.tag` (string, optional)

### auth_apiv2.NoPermissionError.unauthorized_account_id_usage

Current caller does not have permission to access the account information for one or more of the specified account IDs.

- `.tag` (enum, required)
  - Allowed values: `unauthorized_account_id_usage`
- `unauthorized_account_ids` (list of string, required) — The account IDs that the caller does not have permission to use.

### auth_apiv2.NoPermissionError.other

An open-union catch-all: a variant added to this union after your API client's spec was generated. Its ".tag" is a value not listed among the known variants above; treat it as an unrecognized/forward-compatible case.

- `.tag` (string, optional)

## Examples

**Request**

```json
{
  "async_job_id": "34g93hh34h04y384084"
}
```

**Response**

```json
{
  ".tag": "in_progress"
}
```

**SDK Code**

```python
import requests

url = "https://api.dropboxapi.com/2/team/members/suspend_batch/job_status/check"

payload = { "async_job_id": "34g93hh34h04y384084" }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.dropboxapi.com/2/team/members/suspend_batch/job_status/check';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"async_job_id":"34g93hh34h04y384084"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.dropboxapi.com/2/team/members/suspend_batch/job_status/check"

	payload := strings.NewReader("{\n  \"async_job_id\": \"34g93hh34h04y384084\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.dropboxapi.com/2/team/members/suspend_batch/job_status/check")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"async_job_id\": \"34g93hh34h04y384084\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.dropboxapi.com/2/team/members/suspend_batch/job_status/check")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"async_job_id\": \"34g93hh34h04y384084\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.dropboxapi.com/2/team/members/suspend_batch/job_status/check', [
  'body' => '{
  "async_job_id": "34g93hh34h04y384084"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.dropboxapi.com/2/team/members/suspend_batch/job_status/check");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"async_job_id\": \"34g93hh34h04y384084\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["async_job_id": "34g93hh34h04y384084"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.dropboxapi.com/2/team/members/suspend_batch/job_status/check")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```